<?php
/**
 * UTF8
 * Funkce pro praci s MSSQL pomoci ODBC
 */

namespace Ron\DB;


require_once('_appdbset.php');

/**
 * @return Database
 */
function createDefaultDatabase() {
    global $db_connectionstring;

    $database = new OdbcDatabase($db_connectionstring);

    global $db_persistentconnection;
    $database ->setPersistentConnection($db_persistentconnection);

    global $_sqlsrv_norecompile;
    $database ->setNoRecompile($_sqlsrv_norecompile);

//    global $db_use_adhoc_params; - nastaveni presunuto primo do app
//    if (isset($db_use_adhoc_params)) {
//        $database ->useAdHocParams = $db_use_adhoc_params;
//    }

    global $db_convert_varbinary;
    if (isset($db_convert_varbinary)) {
        // v _appdbset je mozne vypnout pouziti CONVERT, protoze nekdy to dela problem
        $database ->convertVarBinary = $db_convert_varbinary;
    }

    return $database;
}
