<?php
    namespace Ron;

    use Ron\DB\DBException;
?>

<HTML>
<BODY>

<?php

error_reporting(E_ALL);

    if ( !file_exists("_appdbset.php") ) {
        echo "Nenalezen soubor _appdbset.php - pripojeni k databazi neni nastaveno!";
        exit;
    }

    require_once("_appdbset.php");

    global $db_utils;
    if ( !$db_utils ) {
        echo 'V _appdbset.php neni nastaveno $db_utils!';
        exit;
    }

    if ( !file_exists($db_utils) ) {
        echo "Neexistuje soubor nastaveny v _appdbset v promenne db_utils! ($db_utils)";
        exit;
    }

    require_once($db_utils);
    //require_once('db/compatibility.php');

    function createDatabase()
    {
        global $db_user;
        global $db_password;

        $connection = \Ron\DB\createDefaultDatabase();
        $connection ->connect($db_user, $db_password);

        return $connection;
    }


    $id = ( isset( $_GET["id"] ) ) ? $_GET["id"] : "0";


    switch ( $id ) {
        case "0" :
            echo "Probehne test pripojeni k databazi ...<BR>";
            echo "db_utils: <B>$db_utils</B><BR>";
            echo "db_connectionstring: <B>$db_connectionstring</B><BR>";
            echo "db_name: <B>$db_name</B><BR>";
            echo "db_password: " . ($db_password ? "je nastaveno ... (nebude vypsano, prosim zkontrolujte jej)" : "</B>je prazdne!</B>") . "<BR>";
            echo "<A HREF='?id=1'>Pokracujte dale</A>";
            break;

        case "1" :
            try {
                $connection = createDatabase();

                echo "Pripojeni k databazi probehlo uspesne";
                echo "<BR><A HREF='?id=cmd'>Test spusteni cmd</A>";
            } catch (DBException $e) {
                echo "Pri pripojeni k databazi doslo k chybe!<BR>";
                echo $e ->getMessage() . "<br/>";
                echo $e ->dbMessage . "<br/>";
            } catch (\Exception $e) {
                echo "Pri pripojeni k databazi doslo k chybe!<BR>";
                echo $e ->getMessage();
            }
            break;

        case 'cmd' :
            echo 'Test spusteni prikazu (prikaz path): ';
            $execoutput = array();
            //if ( exec( "cmd /C path", $execoutput, $execreturnvar ) ) echo '<B>prob�hlo �sp�n�</B><BR>';
            if (exec("path", $execoutput, $execreturnvar)) echo '<B>probehlo uspesne</B><BR>';
            else echo "doslo k chybe - navratovy kod <B>$execreturnvar</B><BR>";
            echo "vystup prikazu path:<BR>";
            echo implode($execoutput, "<BR>\n");

            break;
    }


?>

</BODY>
</HTML>