<?php
/**
 * stanislav.elbl, 20.02.2016
 */

namespace RonPortal\Settings;

use Ron\Controls\Preference;
use RonPortal\RonPortalSettings;

return [
    'caption' => 'nastaveni_ical',
    'category' => 'nastaveni_sekce_planovani',
    'name'  => 'ical',
    'index' => 290,
    'storage' => 'nastaveni',
    'strings' => 'preferences_ostatni.ini',
    'items' =>
        [
            // hromadne stahovani absenci do kalendare
            [
                'type'  => Preference::CATEGORY,    'title' => 'absence_ical_nadpis'
            ],
            [
                'name'  => 'absence_hromadny_ical', 'type'  => Preference::CHECKBOX,    'title' => 'absence_povolit_ical',
                'defaultValue' => 0,
                'infoText' => 'absence_povolit_ical_info'
            ],
            // klic
            [
                'name'  => 'absence_ical_key', 'type'  => Preference::TEXT,         'title' => 'absence_ical_key',
                'defaultValue' => md5($_SERVER['SERVER_NAME'] . rand() . time()),   'storeDefaultValue' => true,
                'infoText' => RonPortalSettings::getValue('absence_ical_key')
                    ? 'http://' . $_SERVER['SERVER_NAME'] . $_SERVER["SCRIPT_NAME"] . '?menuid=download&data=absence&key=' . RonPortalSettings::getValue('absence_ical_key')
                    : 'absence_ical_klic_nenastaven'
            ],

        ]
];
