<?php
/**
 * Created by PhpStorm.
 * User: pavel.rudol
 * Date: 30.6.2016
 * Time: 8:44
 */

namespace RonPortal\Settings;

use Ron\Controls\Preference;


return [
    'caption' => 'nastaveni_jidelna',
    'category' => 'nastaveni_sekce_jidelna',
    'name'  => 'jidelna',
    'index' => 500,
    'storage' => 'nastaveniJidelny',
    'strings' => 'preferences_jidelna.ini',
    'items' =>
        [
            [
                'type'  => Preference::CATEGORY,    'title' => 'jidelnicek'
            ],
            [
                'name'  => 'jidelnicek_povolit_hodnoceni', 'type'  => Preference::CHECKBOX,    'title' => 'jidelnicek_povolit_hodnoceni',
                'infoText' => 'jidelnicek_povolit_hodnoceni_info',
                'defaultValue' => 1
            ],
            [
                'name'  => 'jidelnicek_filtrovat_typy', 'type'  => Preference::CHECKBOX,    'title' => 'jidelnicek_filtrovat_typy',
                'infoText' => 'jidelnicek_filtrovat_typy_info',
                'defaultValue' => 0
            ],
            [
                'name'  => 'jidelnicek_zobrazit_cas_objednani', 'type'  => Preference::CHECKBOX,    'title' => 'jidelnicek_zobrazit_cas_objednani',
                'infoText' => 'jidelnicek_zobrazit_cas_objednani_info',
                'defaultValue' => 0
            ],
            [
                'name'  => 'jidelnicek_zobrazit_dialog', 'type'  => Preference::CHECKBOX,    'title' => 'jidelnicek_zobrazit_dialog',
                'infoText' => 'jidelnicek_zobrazit_dialog_info',
                'defaultValue' => 1
            ],
            [
                'name'  => 'jidelnicek_zobrazit_po_dnech', 'type'  => Preference::CHECKBOX,    'title' => 'jidelnicek_zobrazit_po_dnech',
                'defaultValue' => 0
            ],


            [
                'type'  => Preference::CATEGORY,    'title' => 'vitrina'
            ],
            [
                'name'  => 'vitrina_refresh_interval',    'type'  => Preference::TEXT,        'title' => 'vitrina_refresh_interval',
                'infoText' => 'vitrina_refresh_interval_info',
                'defaultValue' => '120'
            ],
            [
                'name'  => 'typ_polozky_na_radku', 'type'  => Preference::CHECKBOX,    'title' => 'jedinyVyskytTypuPolozkyNaRadku',
                'infoText' => 'jedinyVyskytTypuPolozkyNaRadku_info',
                'defaultValue' => 1
            ],

        ]
];