<?php

namespace RonPortal\Settings;

use Ron\Controls\Preference;

return [
    'caption' => 'nastaveni_ostatni',
    'category' => 'nastaveni_sekce_dalsi_agendy',
    'name'  => 'ostatni',
    'index' => 790,
    'storage' => 'nastaveni',
    'strings' => 'preferences_ostatni.ini',
    'items' =>
        [
            [
                'type'  => Preference::CATEGORY,    'title' => 'provozni_denik'
            ],
            [
                'name'  => 'pd_pouzit_rozdeleni_kapacity', 'type'  => Preference::CHECKBOX,    'title' => 'Pouzit_rozdeleni_pk',
                'infoText' => 'Pouzit_rozdeleni_pk_info',
                'defaultValue' => 0
            ],

            [
                'type'  => Preference::CATEGORY,    'title' => 'XML'
            ],
            [
                'name'  => 'vyplnenexml_osoby_pravo',    'type'  => Preference::SQL_COMBOBOX,        'title' => 'XML_osoby_pravo',
                'sql'   => 'SELECT Kod, Popis FROM TypPravaProIntraweb ORDER BY Popis',
                'infoText' => 'XML_osoby_pravo_info',
                'defaultValue' => 'prohlizeni'
            ],
            [
                'type'  => Preference::INFO_TEXT,    'infoText' => 'XML_info'
            ],
            [
                'name'  => 'xml_rozliseni1_nadpis', 'type'  => Preference::TEXT,    'title' => 'XML_rozliseni1', 'defaultValue' => ''
            ],
            [
                'name'  => 'xml_rozliseni2_nadpis', 'type'  => Preference::TEXT,    'title' => 'XML_rozliseni2', 'defaultValue' => ''
            ],
            [
                'name'  => 'xml_rozliseni3_nadpis', 'type'  => Preference::TEXT,    'title' => 'XML_rozliseni3', 'defaultValue' => ''
            ],
            [
                'name'  => 'xml_rozliseni4_nadpis', 'type'  => Preference::TEXT,    'title' => 'XML_rozliseni4', 'defaultValue' => ''
            ],
            [
                'name'  => 'xml_rozliseni5_nadpis', 'type'  => Preference::TEXT,    'title' => 'XML_rozliseni5', 'defaultValue' => ''
            ],
            [
                'name'  => 'xml_rozliseni6_nadpis', 'type'  => Preference::TEXT,    'title' => 'XML_rozliseni6', 'defaultValue' => ''
            ],
            [
                'name'  => 'xml_rozliseni7_nadpis', 'type'  => Preference::TEXT,    'title' => 'XML_rozliseni7', 'defaultValue' => ''
            ],
            [
                'name'  => 'xml_rozliseni8_nadpis', 'type'  => Preference::TEXT,    'title' => 'XML_rozliseni8', 'defaultValue' => ''
            ],
            [
                'name'  => 'xml_rozliseni9_nadpis', 'type'  => Preference::TEXT,    'title' => 'XML_rozliseni9', 'defaultValue' => ''
            ],
            [
                'name'  => 'xml_rozliseni10_nadpis', 'type'  => Preference::TEXT,    'title' => 'XML_rozliseni10', 'defaultValue' => ''
            ]

        ]
];