<?php
/**
 * pavel.rudol, 08.01.2018
 */

namespace RonPortal\Settings;

use Ron\Controls\Preference;
use RonPortal\RonPortalSettings;

if (!RonPortalSettings::getIntValue('vyroba'))
    return null;

return [
    'caption' => 'nastaveni_vyroba_editace',
    'category' => 'nastaveni_sekce_vyroba',
    'name'  => 'vyroba_editace',
    'index' => 601,
    'storage' => 'sys_bvar_global',
    'strings' => 'vyroba.ini',

    'items' =>
        [
            [
                'name'  => 'RonPortal_vyroba_editace',        'type'  => Preference::MEMO,    'title' => 'data_vyroba_editace', 'htmlParams' => 'class="longtext"',
                'infoText' => 'data_vyroba_editace_info',
                'defaultValue' => ''
            ],
        ]
];
