<?php

/**
 * UTF-8
 * Pavel Rudol, RON Software
 *  29.9.2015
 */

namespace Ron\RonPortal\Zamestnanci;

use Ron;

/* @var $zamestnanec Zamestnanec */

/* @var $zvolenyPP PracovniPomerOsoby */
$zvolenyPP = \Ron\MVC\Model::getInstance()->getData('vybranypp');
$comboTypOsoby = Ron\MVC\Model::getInstance()['comboTypOsoby'];
$comboTypPP = Ron\MVC\Model::getInstance()['comboTypPP'];
?>


<form action="?<?= $defaultQueryString ?>&session@action=edit&session@section=<?= $zalozka['section']?>#detailosoby_<?= $zalozka['section'] ?>" method="POST">
    <?php if ($zvolenyPP->idPP) { ?>
        <input type="hidden" name="idpp" value="<?= $zvolenyPP->idPP ?>" />
        <input type="hidden" name="formaction" value="update" /> 
    <?php }
        else {
    ?>
        <input type="hidden" name="idpp" value="<?= $zamestnanec->idPP ?>" />
        <input type="hidden" name="formaction" value="insert" /> 
    <?php } ?>
    <input type="hidden" name="formsection" value="ppomer" />
    
    <table id="detailosoby_ppomer">
        <tr id="detailosoby_ppomer_osobnicislo">
            <td class="formtablecaption required">
                <?= Ron\ronText('Osobni_cislo') ?>
            </td>
            <td id="detailosoby_ppomer_osobnicislo_data">
                <input class="app_input <?= \Ron\MessageManager::getInstance()->isError('OsobniCislo') ? 'error_back' : ''; ?>" name="OsobniCislo" maxlength="15" size="15" value="<?= Ron\StringUtils::htmlTextConvert($zvolenyPP->osobniCislo) ?>" type="text">
            </td>
        </tr>
        <tr id="detailosoby_ppomer_datumnastupu">
            <td class="formtablecaption required">
                <?= Ron\ronText('Datum_nastupu') ?>
            </td>
            <td id="detailosoby_ppomer_datumnastupu_data">
                <input class="app_input inputDate <?= \Ron\MessageManager::getInstance()->isError('DatumNastupu') ? 'error_back' : ''; ?>" type="text" name="DatumNastupu" maxlength="10" size="10" value="<?= $zvolenyPP->datumNastupu ? date('j.n.Y',$zvolenyPP->datumNastupu) : '' ?>"  />
                <img src='images/16_calendar.png' class="showcalendar" data-roncalendar-inputname="DatumNastupu" />
            </td>
        </tr>
        <tr id="detailosoby_ppomer_datumukonceni">
            <td class="formtablecaption">
                <?= Ron\ronText('DatumUkonceni') ?>
            </td>
            <td id="detailosoby_ppomer_datumukonceni_data">
                <input class="app_input inputDate" type="text" name="DatumUkonceni" maxlength="10" size="10" value="<?php echo ($zvolenyPP->datumUkonceni ? date('j.n.Y',$zvolenyPP->datumUkonceni) : ""); ?>"  />
                <img src='images/16_calendar.png' class="showcalendar" data-roncalendar-inputname="DatumUkonceni" />
            </td>
        </tr>
        <tr id="detailosoby_ppomer_poradovecislo">
            <td class="formtablecaption">
                <?= Ron\ronText('PoradoveCisloPP') ?>
            </td>
            <td id="detailosoby_ppomer_poradovecislo_data">
                <input class="app_input" name="PoradoveCisloPP" maxlength="3" size="5" value="<?= $zvolenyPP->poradoveCisloPP ? (int)$zvolenyPP->poradoveCisloPP : '' ?>" type="text">
            </td>
        </tr>
        <tr id="detailosoby_ppomer_typosoby">
            <td class="formtablecaption">
                <?= Ron\ronText('TypOsoby') ?>
            </td>
            <td id="detailosoby_ppomer_typosoby_data">
                <?php
                    $comboTypOsoby->render();
                ?>
            </td>
        </tr>
        <tr id="detailosoby_ppomer_typpp">
            <td class="formtablecaption required">
                <?= Ron\ronText('TypPP') ?>
            </td>
            <td id="detailosoby_ppomer_typpp_data" colspan="5">
                <?php
                    $comboTypPP->render();
                ?>
            </td>
        </tr>
        <tr id="detailosoby_ppomer_zpracovat">
            <td class="formtablecaption">
                <?= Ron\ronText('ZpracovatDochazku') ?>
            </td>
            <td id="detailosoby_ppomer_zpracovat_data">
                <input type="checkbox" id="ppomer_zpracovat" name="ZpracovatDochazku" <?= $zvolenyPP->zpracovatDochazku ? 'checked="checked"' : '' ?>  />
            </td>
        </tr>
        <tr id="detailosoby_ppomer_tlacitka">
            <td class="formtablecaption"></td>
            <td>
                <input type="submit" class="submitbutton" value="<?= \Ron\ronText('form.Store') ?>" />
                <input type="reset" class="button" value="<?= \Ron\ronText('form.Original') ?>" />
                <input type="button" class="button" value="<?= \Ron\ronText('Cancel') ?>" onclick="window.location = '?menuid=zamestnanec&idpp=<?= $zamestnanec->idPP ?>'" />
            </td>
        </tr>
    </table>
</form>