<?php
/**
 * stanislav.elbl, 28.02.2021
 */

namespace Ron\Controls;

/**
 * Trida AppMenuItem reprezentuje polozku hlavniho menu aplikace.
 */
class AppMenuItem implements ConfigurableObject
{
    /** @var string     Zobrazeny text */
    public $text;
    /** @var string     Urcuje parametr menuid pro URL adresu */
    public $menuId;
    /** @var string     CSS trida pro vyrenderovani polozky */
    public $className;
    /** @var string     id html elementu*/
    public $htmlId;
    /** @var string     id sekce, do ktere polozka patri */
    public $sectionId;

    /** @var string     css pripadneho obrazku */
    public $glyph;

    public $htmlParams;

    /** @var bool Priznak, ze je polozka vychozi pro zadanou sekci */
    public $default;

    // section
    public $active;
    public $defaultQueryString;

    /** @var bool Priznak, ze je sekce rozbalena */
    public $expanded = false;


    function __construct($text, $menuid, $classname = '', $htmlid = '', $glyph = null)
    {
        $this ->menuId = $menuid;
        $this ->text = $text;
        $this ->className = $classname;
        $this ->htmlId = $htmlid;
        $this ->glyph = $glyph;
    }


    public function loadConfigurationItem($key, $value, $valueText)
    {
        // TODO: Implement loadConfigurationItem() method.
    }
}
