<?php

namespace Ron\Http;

class HttpRequest
{
    public const METHOD_GET = 'GET';
    public const METHOD_POST = 'POST';

    public function __construct()
    {
    }


    /**
     * Vraci HTTP metodu aktualniho requestu (GET, POST, ...)
     * @return string
     */
    public function getMethod()
    {
        return strtoupper($_SERVER['REQUEST_METHOD'] ?? 'GET');
    }

    /**
     * Vraci true, pokud je aktualni request POST
     * @return bool
     */
    public function isPost()
    {
        return $this ->getMethod() === self::METHOD_POST;
    }
}
