<?php
/**
 * stanislav.elbl, 19.02.2021
 */

namespace Ron\MVC;

use Ron\MessageManager;

class MessageManagerViewObject implements ViewObject
{
    /** @var MessageManager */
    var $messageManager;

    /**
     * MessageManagerViewObject constructor.
     * @param MessageManager $messageManager
     */
    public function __construct(MessageManager $messageManager = null)
    {
        $this->messageManager = $messageManager;
    }


    public function render()
    {
        if ($this ->messageManager) $this ->messageManager ->showMessages();
        else MessageManager::getInstance() ->showMessages();
    }
}
