<?php
/**
 * stanislav.elbl, 18.05.2022 14:54
 */

namespace RonPortal\Napady;
use Ron\DB\SqlStatement;
use RonPortal\Dokumenty\DokumentyBrowser;

/**
 * Class DokumentyNapaduBrowser
 * @package Ron\RonPortal\Napady
 */
class DokumentyNapaduBrowser extends DokumentyBrowser
{

    function __construct($database, $idNapadu)
    {
        parent::__construct($database, "?menuid=napady&action=dokumentdownload&idnapadu=$idNapadu", 1, "?menuid=napady&action=dokumentdelete&idnapadu=$idNapadu");

        $this->sqlFromPart =
            'Dokument, TypDokumentu, DokumentNapadu';

        $params = $database ->createParameters();
        $this->sqlWherePart = new SqlStatement(
            'Dokument.Id = DokumentNapadu.Id ' .
            ' AND TypDokumentu.Kod = Dokument.Typ ' .
            ' AND DokumentNapadu.IDNapadu = ' . $params ->addParameter((int)$idNapadu),
            $params);
    }
}
