<?php
/**
 * stanislav.elbl, 15.10.2014
 */

namespace Ron\RonPortal;

use Ron\TextManager;
use RonPortal\SluzebniCesty\KompaktniRadekSluzebniCesty;
use RonPortal\SluzebniCesty\SluzebniCesta;

/** @var $radky KompaktniRadekSluzebniCesty[] */
/** @var $sluzebniCesta SluzebniCesta */
?>

<?php if ( $radky && sizeof($radky) ) { ?>
    <table class="browser oddEvenRows">
        <thead>
            <tr>
                <th class="align-left"><?= TextManager::_('Date') ?></th>
                <th class="align-left"><?= TextManager::_('Podrobnosti_radku_sc') ?></th>
                <th><?= TextManager::_('Pocet_snidani') ?></th>
                <th><?= TextManager::_('Pocet_obedu') ?></th>
                <th><?= TextManager::_('Pocet_veceri') ?></th>
            </tr>
        </thead>

        <tbody>

        <?php foreach ($radky as $i => $radek) { ?>
            <tr>
                <td><?= $radek ->getDatumStr() ?></td>
                <td><?= $radek ->popis ?></td>
                <td class="align-center"><?= $radek ->snidane ?: '' ?></td>
                <td class="align-center"><?= $radek ->obedy ?: ''?></td>
                <td class="align-center"><?= $radek ->vecere ?: ''?></td>
            </tr>

        <?php } ?>

        </tbody>
    </table>
<?php } ?>

<br/>
<div class="linkslist">
    <a href='?menuid=sluzebnicesty&action=editovatradkysluzebky&record=<?= $sluzebniCesta ->id ?>'>
        <?= TextManager::_($sluzebniCesta ->lzeEditovat ? 'Editovat_radky_sc' : 'Zobrazit_radky_sc') ?>
    </a>
</div>
