<?php
/**
 * stanislav.elbl, 24.05.2021 15:15
 */

namespace RonPortal\XML\Classes;

use RonPortal\XML\XMLFormElement;
use RonPortal\XML\XMLDochazkaBrowser;

/**
 * Zobrazuje pro kazdy den v obdobi jeden radek a na nem nactene hodnoty
 * Musi byt potomek XMLFormElementBrowser, protoze tag
 * Class XMLFormElementDochazkaBrowser
 */
class XMLElementDochazkaBrowser extends XMLFormElement
{
    function getHTMLOutput() {
        $browser = new XMLDochazkaBrowser($this ->xmlForm ->database);

        $browser ->filterForm = $this ->xmlForm ->ronPortalFilterForm;

        $browser ->datumOd = $this ->nahradPromenne($this ->getAttributeValue('datumod'));
        $browser ->datumDo = $this ->nahradPromenne($this ->getAttributeValue('datumdo'));

        /** @var XMLElementBrowserPart $sqlElement */
        $sqlElement = $this ->findChildByName('browsersql');
        if (!$sqlElement) {
            return '';
        }
        $browser ->sql = $this ->nahradPromenneSQL($sqlElement ->sqlText);

        return $browser->getHTML();
    }

}

/*
//DOC
PAGE dochazkabrowser
<pre>
PRE
   <dochazkabrowser>
     <browsersql>SELECT ...</browsersql>
   </dochazkabrowser>
PREEND
</pre>

//END
*/
