<?php
/**
 * stanislav.elbl, 09.06.2021 21:49
 */

namespace RonPortal\XML\Classes;

use Ron\StringUtils;
use RonPortal\XML\XMLFormElement;

class XMLElementTlacitkaHodnoceni extends XMLFormElement
{
    function getHTMLOutput()
    {
        $ulozit = StringUtils::fromUTF8($this ->getAttributeValue('ulozit'));
        $odeslat = StringUtils::fromUTF8($this ->getAttributeValue('odeslat'));
        $vratit = StringUtils::fromUTF8($this ->getAttributeValue('vratit'));
        $uzavrit = StringUtils::fromUTF8($this ->getAttributeValue('uzavrit'));

        return $this ->xmlForm -> dotaznik ->vratHTMLTlacitka(!$this ->xmlForm -> readOnly, $ulozit, $odeslat, $vratit, $uzavrit);
    }
}

/*
//DOC
PAGE tlacitkahodnoceni
<pre>
PRE
  <tlacitkahodnoceni ulozit="text_ulozit" odeslat="text_odeslat" vratit="text_vratit" uzavrit="text_uzavrit" />
PREEND
</pre>

//END
*/
