<?php
/**
 * stanislav.elbl, 09.10.2018
 */

namespace RonPortal\XML\Classes;

use RonPortal\XML\XMLFormElementCommand;

/**
 * Class XMLFormElementViewFile
 */
class XMLElementViewFile extends XMLFormElementCommand
{
    function doCommand()
    {
        $fileName = $this ->getAttributeValue('filename');

        if (!$fileName) {
            $fileName = $this ->getBoolAttribute('frame')
                ? 'view/appview_frame.php'
                : 'view/appview.php';
        }

        $this ->xmlForm ->viewFileName = $fileName;
    }
}

/*
//DOC
PAGE viewfile
<pre>
PRE
  <viewfile filename="promenna1"/>
  <viewfile frame="1"/>
PREEND
</pre>

//END
*/
