<?php
/**
 * Login page
 */

namespace Ron;


use Ron\Http\App;

require_once('ron/guiutils.php');
require_once('appconstants.php');

global $copyrightYear;
global $appVersion;
global $appDate;
global $enableidlogin;

$action = '?';

?>
<!doctype html>
<html>
<head>
    <?php
    require('ron/apphead.php');
    require('view/apphead.php');
    ?>
</head>
<body class="bodylogin">
    <div class="loginpagecontent">
        <?php
            require('view/apptitle.php');
        ?>

        <div class='loginerror'>
        <?php MessageManager::getInstance() ->showMessages(); ?>
        </div>

        <form name="loginform" method="post">
            <table class='logintable'>
                <tbody>
                    <tr>
                        <td></td><td><strong>Admin</strong></td>
                    </tr>
                    <tr>
                        <td class='formtablecaption'><?= TextManager::_('Heslo') ?></td>
                        <td><input type="password" name="adminpassword" id="adminpassword" size="20"></td>
                    </tr>

                    <tr>
                        <td></td>
                        <td align="center"> <input type="submit" class="submitbutton" id="loginbutton" name="login" value=<?= TextManager::_('Vstup') ?>> </td>
                    </tr>
                </tbody>
            </table>
        </form>
    </div>

    <div class="footer">
        <div class="copyright"> RON Software (c) 2007-<?= $copyrightYear ?></div>
        <div class="version"><?php  echo "<a href='verze.php' title='$appDate' target='_blank'>$appVersion</a>"; ?></div>
    </div>

<?php App::getInstance() ->renderHtmlFooter(); ?>

</body>
</html>
