<?php
/**
 * pavel.rudol, 26.06.2019
 */

namespace Ron\RonPortal\XML;

use Ron\MVC\Model;
use Ron\StringUtils;

$model = Model::getInstance();

$pocetUrovni = $model->getData('pocet_urovni');
$aktualniPoradi = $model->getData('aktualni_poradi');
$proces = $model->getData('proces');
$backUrl = $_GET['backurl'] . (isset($_GET['xmlmenuid']) ? "&xmlmenuid={$_GET['xmlmenuid']}" : '');
?>


<h1> <?= \Ron\ronText('Predavaci_proces'); ?> </h1>

<a href="?menuid=<?= StringUtils::secureString($backUrl) ?>"><?= \Ron\ronText('zpet') ?></a>

<?php
    $first = true;

    echo "<div class='predavaci_proces'>";

    for ($i = 1; $i <= $pocetUrovni; $i++) {
        $osoby = $model->getData("osoby_uroven_$i");

        if ($first)
            $first = false;
        else
            echo "<div class='predavani_krok'><div>&nbsp;</div><i class='far fa-arrow-right'></i></div>";

        $class = '';
        if ($i == $aktualniPoradi)
            $class = 'aktualni_uroven';

        echo "<div class='uroven_predavani_procesu'>";

        echo "<div class='uroven_predavani_popis'>{$proces[$i]['kodUrovne']} - {$proces[$i]['popisUrovne']}</div>";

        echo "<div class='uroven_predavani uroven_$i $class'>";

        echo "<div class='osoby_pred_procesu'>";
        foreach ($osoby as $osoba) {
            $classVyplneno = '';
            if ($osoba['casvyplneni']) $classVyplneno = ' vyplneno';

            echo "<span class='osoba_pred_procesu{$classVyplneno}'>{$osoba['jmeno']} {$osoba['prijmeni']}</span>";
        }
        echo "</div>";
        echo "</div>";
        echo "</div>";
    }

    echo "</div>";
