<?php
/**
 * UTF8
 * Roman.Szablatura RON Software 21.6.2018
 */

namespace RonPortal\Dashboard;


use Ron\TextManager;
use RonPortal\Prava;
use RonPortal\RonPortalSettings;

if (RonPortalSettings::getIntValue(RonPortalSettings::ZOBRAZIT_SKOLENI)) {
    if ((!Prava::jsouNejakePrava('skoleni_prohlizeni')) || (Prava::vratHodnotuPrava('skoleni_prohlizeni') == 1)) {
        return null;
    }

    $frame = new DashboardFrame();
    $frame->id = 'skoleniPodrizenych';
    $frame->url = '?menuid=skoleni&action=skolenipodrizenych';
    $frame->caption = TextManager::_('Skoleni_podrizenych');

    return $frame;
}

return null;
