<?php
/**
 * UTF8
 * Funkce pro praci s MS SQL pomoci microsofti mssql knihovny
 * http://msdn.microsoft.com/en-us/sqlserver/ff657782.aspx
 */

namespace Ron\DB;


require_once('_appdbset.php');

function createDefaultDatabase() {
    global $db_connectionstring;
    global $db_name;

    $database = new SqlSrvDatabase($db_connectionstring, $db_name);

    global $_sqlsrv_norecompile;
    $database ->setNoRecompile($_sqlsrv_norecompile);

    global $_sqlsrv_converttimestamp;
    $database ->setConvertTimestamp($_sqlsrv_converttimestamp);

    global $charset;
    if (isset($charset)  &&  $charset != 'windows-1250') {
        $database ->setCharSet($charset);
    }

    global $_sqlsrv_options;
    if ($_sqlsrv_options) {
        $database ->setConnectionOptions($_sqlsrv_options);
    }

    return $database;
}

