<?php

/**
 * Uzivatelsky controller - umoznuje naprogramovat funkcnost pro uzivatele
 */

namespace Ron\RonPortal;

use Ron\DB\Database;
use Ron\MVC\HttpController;
use Ron\MVC\InternalRedirect;
use Ron\MVC\OutputObject;
use Ron\MVC\Redirect;
use Ron\MVC\TextViewObject;
use Ron\MVC\ViewObject;


class TestView implements ViewObject
{
    public function render()
    {
        echo "HTML OBSAH ...";
    }
}


class UserTestController extends HttpController
{
    /** @var Database */
    public $database;

    /**
     * UserTestController constructor.
     * @param $database
     */
    public function __construct($database)
    {
        $this->database = $database;
    }


    public function handleAction($action)
    {
        return new TestView();

    }
}


return new UserTestController($this ->database);
