<?php

/**
 * UTF-8
 * Pavel Rudol, RON Software
 *  29.9.2015
 */

namespace Ron\RonPortal\Zamestnanci;

use Ron;

/* @var $zamestnanec Zamestnanec */

?>


<table id="detailosoby_ostatni">
    <tr id="detailosoby_ostatni_email">
        <td class="formtablecaption">
            <?= Ron\ronText('Email') ?>
        </td>
        <td id="detailosoby_ostatni_email_data">
            <?= Ron\StringUtils::htmlTextConvert($zamestnanec->email) ?>
        </td>
    </tr>
    <tr id="detailosoby_ostatni_telefon">
        <td class="formtablecaption">
            <?= Ron\ronText('Telefon') ?>
        </td>
        <td id="detailosoby_ostatni_telefon_data">
            <?= Ron\StringUtils::htmlTextConvert($zamestnanec->telefon) ?>
        </td>
    </tr>
    <tr>
        <td>
            <br />
        </td>                
    </tr>
    <?php foreach ($zamestnanec->uzivatelskaPole as $index => $hodnota) { ?>
        <tr id="detailosoby_ostatni_uzivatelska_<?= $index ?>">
            <td class="formtablecaption">
                <?= Ron\ronText('Uzivatelska'.$index) ?>
            </td>
            <td id="detailosoby_ostatni_uzivatelska_<?= $index ?>_data">
                <?= Ron\StringUtils::htmlTextConvert($hodnota) ?>
            </td>
        </tr>

    <?php } ?>
    
</table>