<?php
/**
 * stanislav.elbl, 25.03.2022 16:46
 */

namespace Ron\Controls;

/**
 * Interface definujici rozhrani pro nacitani konfigurace pomoci tridy ObjectConfiguration
 */
interface ConfigurableObject
{
    /**
     * Nacte vlastnost z konfigurace
     * @param $key string       Kod vlastnosti
     * @param $value mixed      Hodnota vlastnosti (muze to byt i pole)
     * @param $valueText string Textova hodnota
     * @return mixed
     */
    public function loadConfigurationItem($key, $value, $valueText);
}
