<?php
/**
 * stanislav.elbl, 13.07.2021 11:38
 */

namespace Ron\Utils;

/**
 * Seznam promennych pro Parser
 * Interface SymbolTable
 */
interface SymbolTable
{
    /**
     * Vraci hodnotu zadane promenne
     * @param string $varName
     * @return mixed
     */
    function getVariableValue($varName);

    /**
     * Vraci referenci na zadanou promennou
     * @param string $varName
     * @return mixed
     */
    function getVariableReference($varName);

    /**
     * Formatuje zadanou hodnotu
     * @param mixed  $value
     * @param string $format
     * @param string $formatovani  muze byt sql, html nebo prazdne
     * @return mixed
     */
    function formatValue($value, $format, $formatovani);
}
