<?php
/**
 * stanislav.elbl, 20.05.2022 15:47
 */

namespace RonPortal\Controls;

use Ron\Controls\BrowserField;
use Ron\TextManager;

class PritomnostBrowserField extends BrowserField
{
    private $indexIDOsoby;

    /**
     * PritomnostField constructor.
     * @param int $indexIDOsoby
     */
    public function __construct($indexIDOsoby)
    {
        parent::__construct();
        $this->indexIDOsoby = $indexIDOsoby;
        $this->header = TextManager::_('Zamestnanci_pritomnost');
        $this->align = 'center';
        $this->className = 'pritomnost';
    }


    function getViewText($value, $rowNumber, $recordId, $rowData)
    {
        return
            '<i class="fa pritomnost_info" data-idpp="' . $rowData[$this ->indexIDOsoby] . '" title="' . TextManager::_('Zamestnanci_pritomnost_nenacteno') .'"></i>';
    }
}
