<?php
/**
 * stanislav.elbl, 26.11.2014
 *
 * Dialog pro vyber "oblibenych" rozdeleni (denni vysledky, sluzebni cesty),
 * nebo pro vyber rozdelenych prirazenych k nejakemu jinemu zaznamu (anketa)
 */

namespace RonPortal\Controls;

use Ron\Controls\ComboBox;
use Ron\TextManager;

/**
 * @var RozdeleniShiftFormView $this;
 */

?>
    <?php if ($this->typyRozdeleni) { ?>
        <div class="row">
            <div class="col-12 col-sm-3"><?= TextManager::_('Typ_rozdeleni') ?></div>
            <div class="col-12 col-sm 9 margin-top">
                <?php ComboBox::renderComboBox('KodTypuRozdeleni', $this ->typyRozdeleni, null, ['htmlParams' => ['id' => 'typRozdeleniShiftForm']]); ?>
            </div>
        </div>
    <?php } ?>

    <div class="row">
        <table class="shiftform">
            <tr>
                <td><?= TextManager::_('Neprirazene_rozdeleni') ?></td>
                <td></td>
                <td><?= TextManager::_('Prirazene_rozdeleni') ?></td>
            </tr>

            <tr>
                <td>
                    <div class="shiftformpanel leftpanel">
                        <table class="rontable w-100" id="NeprirazeneRozdeleni"></table>
                    </div>
                </td>
                <td class="shiftformbuttonscell">
                    <div class="shiftformbuttons">
                        <i class="inline-glyph glyph-button fa glyph-move-right shiftform-move-right" title="<?= TextManager::_('Pridat') ?>" ></i><br/>
                        <br/>
                        <i class="inline-glyph glyph-button fa glyph-move-left shiftform-move-left" title="<?= TextManager::_('Odebrat') ?>"></i><br/>
                    </div>
                </td>
                <td>
                    <div class="shiftformpanel rightpanel">
                        <table class="rontable w-100" id="PrirazeneRozdeleni"></table>
                    </div>
                </td>
            </tr>

        </table>
    </div>

    <div>
        <?= TextManager::_('Vyhledavani') ?>:
    </div>

    <div class="margin-top">
        <input type="text" class="form-control" name="filtrrozdeleni" id="filtrrozdeleni" />
    </div>

    <div>
        <input type="button" class="button" name="vyhledat" id="vyhledatRozdeleni" disabled="disabled" value="<?= TextManager::_('Vyhledat') ?>"/>
        <span id="InfoPocetRozdeleni"></span>

        <span class="float-right"><input type="button" class="button" name="OK" id="RozdeleniOK" value="<?= TextManager::_('OK') ?>"/></span>
    </div>

