<?php
/**
 * stanislav.elbl, 24.02.2021
 */

namespace RonPortal\Dochazka;

use Ron\Controls\LinksList;
use Ron\TextManager;
use RonPortal\Controls\RonPortalBrowser;
use RonPortal\RonPortalSettings;


class VysledkyBrowser extends RonPortalBrowser
{
    function odkazyMesicniVysledky($aktualni)
    {
        if (RonPortalSettings::getIntValue(RonPortalSettings::POVOLIT_MESICNI_VYSLEKDY) && RonPortalSettings::getIntValue(RonPortalSettings::POVOLIT_MESICNI_R)) {
            LinksList::renderLinks(
                ['mesicnivysledky' => (TextManager::_('Mesicni_vysledky')), 'mesicnivysledkyr' => (TextManager::_('Mesicni_vysledky_podle_rozdeleni'))],
                $aktualni, '?menuid=');
        }
    }


    function odkazyVariabilniVysledky($aktualni)
    {
        if (RonPortalSettings::getIntValue(RonPortalSettings::POVOLIT_VARIABILNI) && RonPortalSettings::getIntValue(RonPortalSettings::POVOLIT_VARIABILNI_DENNI)) {
            LinksList::renderLinks(
                ['variantnivysledky' => TextManager::_('MI_Variantni_vysledky'), 'dennivysledkyvariantni' => TextManager::_('MI_Denni_vysledky')],
                $aktualni, '?menuid=');
        }
    }

}
