<?php
/**
 * Created by PhpStorm. Presunuto z person
 * User: pavel.rudol
 * Date: 10.9.2018 16:14
 */

namespace RonPortal\Hodnoceni;

use function Ron\ronText;

?>

<div id="hodnocenigenerovani_dialog" class="rondialog form middle-form" title="<?= ronText('Generovat_hodnoceni') ?>">

    <input type="hidden" id="idpp" name="idpp" value="" />

    <div class="form-content">
        <div class="row hodnocenigenerovani_ucel" id="hodnocenigenerovani_row_ucel">
            <label class="col-3 caption" for="hodnocenigenerovani_ucel"><?= ronText('Ucel_hodnoceni'); ?></label>
            <div class="col-9" id="hodnocenigenerovani_cell_ucel">
                <select name="hodnocenigenerovani_ucel" class="form-control ronselect"
                        id="hodnocenigenerovani_ucel" data-max-visible-rows="100"
                        data-columns="kod;popis" data-text-column="popis" data-value-column="kod"></select>
            </div>
        </div>

        <div class="row hodnocenigenerovani_datumod" id="hodnocenigenerovani_row_datumod">
            <label class='col-3 caption' for="hodnocenigenerovani_datumod"><?= ronText('Datum_od') ?></label>
            <div class="col-9">
                <input type="text" id="hodnocenigenerovani_datumod" name="hodnocenigenerovani_datumod" value="" class= "inputDate" maxlength="10" size="10"/>
                <i class="showcalendar inline-glyph glyph-button fa glyph-calendar" data-roncalendar-inputname="hodnocenigenerovani_datumod"></i>
            </div>
        </div>

        <div class="row hodnocenigenerovani_pocet_obdobi" id="hodnocenigenerovani_row_pocet_obdobi">
            <label class="col-3 caption" for="hodnocenigenerovani_pocet_obdobi"><?= ronText('Pocet_obdobi'); ?></label>
            <div class="col-9">
                <input type="text" id="hodnocenigenerovani_pocet_obdobi" name="hodnocenigenerovani_pocet_obdobi" value="" class= "inputInt" maxlength="10" size="10"/>
            </div>
        </div>

        <div class="row hodnocenigenerovani_pocet" id="hodnocenigenerovani_row_pocet" style="display: none">
            <label class="col-3 caption" for="hodnocenigenerovani_pocet"><?= ronText('Pocet'); ?></label>
            <div class="col-9">
                <input type="text" id="hodnocenigenerovani_pocet" name="hodnocenigenerovani_pocet" value="" class= "inputInt" maxlength="10" size="10"/>
            </div>
        </div>
    </div>

    <div class="buttons align-center">
        <input type="submit" id="generovat_hodnoceni" class="btnHodnoceniOK submitbutton" value="<?= ronText('Provest') ?>" />
        <input type="button" class="button cancel" value="<?= ronText('Cancel') ?>" />
    </div>
</div>