<?php
/**
 * Dialog pro vyber osoby, na kterou se prevede objednavka jidla
 */

namespace RonPortal\Jidelna;

use Ron\TextManager;

?>


<div class="form middle-form rondialog" id="jidelna_prevod_objednavky" title="<?= TextManager::_('Jidelna_prevedeni_objednavky') ?>">
    <div class="form-content">
        <div class="row jednotlive-prevedeni">
            <div class="col col-5 caption required">
                <?= TextManager::_('Jidelna_prevod_od_osoby')?>
            </div>
            <div class="col col-7 font-weight-bold" id="osoba_objednavky">
            </div>
        </div>

        <div class="row jednotlive-prevedeni">
            <div class="col col-5 caption">
                <?= TextManager::_('Jidelna_datum_objednavky')?>
            </div>

            <div class="col col-7" id="datum_objednavky">
            </div>
        </div>

        <div class="row jednotlive-prevedeni">
            <div class="col col-5 caption">
                <?= TextManager::_('Jidelna_id_polozky_jidelnicku')?>
            </div>

            <div class="col col-7" id="id_polozky_jidelnicku">
            </div>
        </div>

        <div class="row jednotlive-prevedeni">
            <div class="col col-5 caption">
                <?= TextManager::_('Jidelna_popis_objednavky_k_prevodu')?>
            </div>

            <div class="col col-7" id="popis_objednavky">
            </div>
        </div>

        <div class="row">
            <div class="col col-5 caption">
                <?= TextManager::_('Pocet_objednavek_k_prevedeni')?>
            </div>

            <div class="col col-7 font-weight-bold" id="pocet_objednavek">
            </div>
        </div>

        <div class="row" id='loadingSpinnerPrevodObjednavky'>
            <div class="col col-10 col-sm-5 caption loading-indicator">
                <?= TextManager::_("Jidelna_probiha_prevod_objednavky")?>
            </div>

            <div class="col col-2 col-sm-6 loading-indicator" title="<?= TextManager::_('Probiha_nacitani') ?>">
                <i class="fa fa-spin inline-glyph glyph-spinner"></i>
            </div>
        </div>

        <div class="row">
            <div class="col col-12 col-sm-5 caption required">
                <label for="osobaPrijemce2"><?= TextManager::_('Jidelna_nova_osoba_objednavky')?></label>
            </div>

            <div class="col col-12 col-sm-7 required">
                <select id="prevodObjednavkySelectOsoba" class="ronselect form-input" data-ronselect-class="form-input"
                        data-columns='prijmeni;jmeno' data-text-column="jmenoPrijmeni" data-value-column="idpp"
                        data-max-visible-rows="100">
                </select>

<!--                <input id='osobaPrijemce2' name='osobaPrijemce2' class='selectOsoba' value='--><?//= TextManager::_('Jidelna_nacitani_osob') ?><!--'/>-->
<!--                <input type='hidden' id='osobaPrijemce' name='osobaPrijemce' value=''/>-->
            </div>
        </div>

    </div>

    <div class="buttons align-center">
        <button id="btn_prevest_objednavku" type="button" class="submitbutton"><?= TextManager::_('Jidelna_prevest') ?></button>
        <button id="btn_storno" type="button" class="button cancel"><?= TextManager::_('Cancel') ?></button>
    </div>
</div>
