<?php

/**
 * Formular pro nastaveni pocatku a konce variabilni smeny pri naplanovani
 */

namespace RonPortal\Kapacity;

use Ron\Controls\Dialog;
use Ron\Controls\DialogButton;
use Ron\MVC\Renderer;
use Ron\MVC\TextViewObject;
use Ron\TextManager;

$renderer = new Renderer(null);
$renderer ->start();
?>
    <input type='hidden' id='planovani_variabilni_kodsmeny' name='variabilnismena_kod' value='' />

    <div id='kapacity_variabilnidata' class="row">
        <div class="col-1 align-right">
            <?= TextManager::_('Variabilni_smena_od') ?>
        </div>
        <div class="col-2">
            <input id='planovani_variabilni_smena_pocatek' class="form-control inputTime dialog-default-focus" type="text" name="variabilnismena_pocatek" maxlength="5" size="5" value="" />
        </div>

        <div class="col-2 align-right">
        &nbsp;&nbsp; <?= TextManager::_('Variabilni_smena_do') ?>
        </div>
        <div class="col-2">
            <input id='planovani_variabilni_smena_konec' class="form-control inputTime" type="text" name="variabilnismena_konec" maxlength="5" size="5" value="" />
        </div>

        <div class="col-2 align-right">
        &nbsp;&nbsp; <?= TextManager::_('Variabilni_smena_delka') ?>
        </div>
        <div class="col-2 align-right">
            <input id='planovani_variabilni_smena_delka' class="form-control inputTime" type="text" name="variabilnismena_delka" maxlength="5" size="5" value="" />
        </div>

        <div class="col-1">
            <i id="planovani_variabilni_prepocet" class="fa glyph-refresh inline-glyph glyph-button" title="<?= TextManager::_('Prepocitat_delku_smeny') ?>"></i>
        </div>
    </div>
<?php
    $dialogContent =  $renderer ->stop();

    (new Dialog())
        ->setView(new TextViewObject($dialogContent, null, null))
        ->setId('kapacity_variabilni')
        ->setTitle('Variabilni_smena')
        ->addButton(
            (new DialogButton())
                ->setValue('OK')
                ->setId('planovani_variabilni_ok')
        )
        ->addButton(DialogButton::cancelButton('planovani_variabilni_storno'))
        ->render();

?>
