<?php
/**
 * stanislav.elbl, 23.10.2015
 */

namespace RonPortal;


class RonPortalXMLEvents
{
    // editace dochazky
    const EDITACE_DOCHAZKY_EVENT = 'EDITACE_DOCHAZKY_EVENT';
    const EDITACE_DOCHAZKY_BEFORE = 'EDITACE_DOCHAZKY_BEFORE';
    const EDITACE_DOCHAZKY_AFTER = 'EDITACE_DOCHAZKY_AFTER';

    const EDITACE_MESICNICH_AFTER = 'EDITACE_MESICNICH_AFTER';

    // vlozeni dochazky
    const VLOZENI_BEFORE = 'VLOZENI_DOCHAZKY_BEFORE';
    const VLOZENI_AFTER = 'VLOZENI_DOCHAZKY_AFTER';

    // schvalovani dochazky
    const SCHVALENI_DOCHAZKY_BEFORE = 'SCHVALENI_DOCHAZKY_BEFORE';
    const SCHVALENI_DOCHAZKY_AFTER = 'SCHVALENI_DOCHAZKY_AFTER';
    const SCHVALOVANI_SHOW = 'SCHVALOVANI_Show'; // spousti se pri generovani formulare  pro schvaleni, muze obsahovat napr. javascripty

    // absence + kapacity
    const ABSENCE_BEFORE_POST = 'ABSENCE_BEFORE_POST';
    const ABSENCE_AFTER_POST = 'ABSENCE_AFTER_POST';
    const ABSENCE_SCHVALENI_BEFORE = 'ABSENCE_SCHVALENI_BEFORE';
    const ABSENCE_SCHVALENI_AFTER = 'ABSENCE_SCHVALENI_AFTER';

    // kapacity
    const KAPACITY_SHOW = 'PK_Show';
    const KAPACITY_BEFORE_POST = 'KAPACITY_BEFORE_POST';
    const KAPACITY_AFTER_POST = 'KAPACITY_AFTER_POST';
    const KAPACITY_SCHVALENI_BEFORE = 'KAPACITY_SCHVALENI_BEFORE';
    const KAPACITY_SCHVALENI_AFTER = 'KAPACITY_SCHVALENI_AFTER';
    // podminky planovani
    const KAPACITY_PODMINKY_BEFORE = 'KAPACITY_PODMINKY_BEFORE';
    const KAPACITY_PODMINKY_AFTER = 'KAPACITY_PODMINKY_AFTER';
    const KAPACITY_PODMINKY_SCHVALENI_BEFORE = 'KAPACITY_PODMINKY_SCHVALENI_BEFORE';
    const KAPACITY_PODMINKY_SCHVALENI_AFTER = 'KAPACITY_PODMINKY_SCHVALENI_AFTER';

    // sluzebni cesty
    const SC_BEFORE_POST = 'SC_BEFORE_POST';
    const SC_AFTER_POST = 'SC_AFTER_POST';
    const SC_SCHVALENI = 'SC_SCHVALENI'; // context obsahuje uroven a _before nebo _after
    const SC_RADEK_BEFORE_POST = 'SC_RADEK_BEFORE_POST'; //context obsahuje insert/update
    const SC_RADEK_AFTER_POST = 'SC_RADEK_AFTER_POST';
    const SC_UCTOVANI_BEFORE_POST = 'SC_UCTOVANI_BEFORE_POST'; //context obsahuje insert/update
    const SC_UCTOVANI_AFTER_POST = 'SC_UCTOVANI_AFTER_POST';
    const SC_DOKUMENT_BEFORE_POST = 'SC_DOKUMENT_BEFORE_POST';
    const SC_DOKUMENT_AFTER_POST = 'SC_DOKUMENT_AFTER_POST';

    const VYROBA_BEFORE_POST = 'VYROBA_BEFORE_POST';
    const VYROBA_AFTER_POST = 'VYROBA_AFTER_POST';

    // provozni denik
    const PROVOZNI_DENIK_BEFORE = 'PROVOZNI_DENIK_BEFORE';
    const PROVOZNI_DENIK_AFTER = 'PROVOZNI_DENIK_AFTER'; //context obsahuje insert/update
    const PD_DOKUMENT_BEFORE_POST = 'PD_DOKUMENT_BEFORE_POST';
    const PD_DOKUMENT_AFTER_POST = 'PD_DOKUMENT_AFTER_POST';

    // prihlaseni skoleni
    const SKOLENI_PRIHLASENI_BEFORE = 'SKOLENI_PRIHLASENI_BEFORE';
    const SKOLENI_PRIHLASENI_AFTER = 'SKOLENI_PRIHLASENI_AFTER'; //context muze byt login/logout
    
    // pokladni kniha
    const POKLK_BEFORE_POST = 'POKLK_BEFORE_POST';
    const POKLK_AFTER_POST = 'POKLK_AFTER_POST';
    const POKLK_SCHVALENI = 'POKLK_Schvaleni'; // context obsahuje uroven a _before nebo _after
    const POKLK_RADEK_BEFORE_POST = 'POKLK_RADEK_BEFORE_POST'; //context obsahuje insert/update
    const POKLK_RADEK_AFTER_POST = 'POKLK_RADEK_AFTER_POST';
    const POKLK_DOKUMENT_BEFORE_POST = 'POKLK_DOKUMENT_BEFORE_POST';
    const POKLK_DOKUMENT_AFTER_POST = 'POKLK_DOKUMENT_AFTER_POST';
    
    // zadost o zastup
    const ZASTUP_BEFORE_POST = 'ZASTUP_BEFORE_POST';
    const ZASTUP_AFTER_POST = 'ZASTUP_AFTER_POST';
    const ZASTUP_SCHVALENI = 'ZASTUP_Schvaleni';
 
    // zapis absolvovani skoleni
    const SKOLENI_ABSOLVOVANI_BEFORE = 'SKOLENI_ABSOLVOVANI_BEFORE';
    const SKOLENI_ABSOLVOVANI_AFTER = 'SKOLENI_ABSOLVOVANI_AFTER'; //context obsahuje insert/update

    // zastupy uzivatelu
    const ZASTUP_UZIVATELE_BEFORE_POST = 'ZASTUP_UZIVATELE_BEFORE_POST';
    const ZASTUP_UZIVATELE_AFTER_POST = 'ZASTUP_UZIVATELE_AFTER_POST';

    const POMUCKY_EXPIRACE_BEFORE_POST = 'POMUCKY_EXPIRACE_BEFORE_POST';
    const POMUCKY_EXPIRACE_AFTER_POST = 'POMUCKY_EXPIRACE_AFTER_POST';

    // prirazeni kalendare
    const PRIRAZENI_KALENDARE_SELECT = 'PRIRAZENI_KALENDARE_SELECT';

    // vydana objednavka
    /** @var string context obsahuje uroven a _before nebo _after */
    const VYD_OBJEDNAVKA_SCHVALENI = 'VYDANA_OBJEDNAVKA_SCHVALENI';
    const VYD_OBJEDNAVKA_BEFORE_POST = 'VYDANA_OBJEDNAVKA_BEFORE_POST';
    const VYD_OBJEDNAVKA_AFTER_POST = 'VYDANA_OBJEDNAVKA_AFTER_POST';

    const LOGOUT_BEFORE = 'LOGOUT_BEFORE';

    const DASHBANER = 'DASHBANNER'; // baner pro zobrazeni nad dashboardem
}
