<?php

namespace Ron\RonPortal;

use Ron\Controls\LinksList;
use Ron\MVC\Model;

$model = Model::getInstance();

$header = $model->getData('header');
$aktivniSekce = $model->getData('aktivni_sekce');
$sekce = $model->getData('sekce');
$url = $model->getData('url');
$class = $model->getData('wrap_class');

?>

<h1><?= $header ?></h1>

<?php
    if ($class)
        echo "<div class='$class'>";

    LinksList::renderLinks($sekce,
        $aktivniSekce, $url);

    if ($class)
        echo "</div>";
